Bug 855140 (CVE-2012-4411)

Summary: CVE-2012-4411 xen: qemu: guest administrator can access qemu monitor console
Product: [Other] Security Response Reporter: Petr Matousek <pmatouse>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: agordeev, anton, berrange, dhoward, drjones, imammedo, jforbes, kraxel, lersek, lwang, m.a.young, mrezanin, pbonzini, plougher, rcvalle, sforsber, tburke, virt-maint, xen-maint
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=important,public=20120906,reported=20120906,source=upstream,cvss2=7.4/AV:A/AC:M/Au:S/C:C/I:C/A:C,rhel-5/kernel-xen=notaffected,fedora-all/xen=affected,cwe=CWE-284
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-08-24 09:58:14 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 855141    
Bug Blocks: 855143    

Description Petr Matousek 2012-09-06 15:18:57 EDT
A guest administrator who is granted access to the graphical console
of a Xen guest can access the qemu monitor.  The monitor can be used
to access host resources.

A malicious guest administrator can access host resources (perhaps
belonging to other guests or the underlying system) and may be able to
escalate their privilege to that of the host.

References:
http://seclists.org/oss-sec/2012/q3/390

Acknowledgements:

Red Hat would like to thank the Xen project for reporting this issue.
Comment 2 Petr Matousek 2012-09-06 15:20:58 EDT
Statement:

Not vulnerable.

This issue did not affect the versions of the kernel-xen package as shipped with Red Hat Enterprise Linux 5.

This issue did not affect Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG as we did not have support for Xen hypervisor.
Comment 3 Petr Matousek 2012-09-06 15:21:54 EDT
Created xen tracking bugs for this issue

Affects: fedora-all [bug 855141]
Comment 5 Fedora Update System 2012-09-17 13:45:13 EDT
xen-4.1.3-4.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2012-09-17 14:00:45 EDT
xen-4.1.3-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2012-09-17 19:19:07 EDT
xen-4.1.3-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.